Bug 178019 - [patch] editors/textroom: trim header, lib depends, and move to USES=shared-mime-info
Summary: [patch] editors/textroom: trim header, lib depends, and move to USES=shared-m...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-21 08:30 UTC by Jason Helfman
Modified: 2013-05-07 08:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.57 KB, patch)
2013-04-21 08:30 UTC, Jason Helfman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Helfman freebsd_committer 2013-04-21 08:30:00 UTC
Update historical header
Trim comment
drop abi version for lib-depends
adoption of USES=shared-mime-info
cleanup reinplace_cmd
standardize formatting in pkg-descr by using a space over tab
Comment 1 Edwin Groothuis freebsd_committer 2013-04-21 08:30:08 UTC
Maintainer of editors/textroom,

Please note that PR ports/178019 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178019

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-04-21 08:30:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 dfilter service freebsd_committer 2013-05-07 08:11:05 UTC
Author: jgh
Date: Tue May  7 07:10:52 2013
New Revision: 317578
URL: http://svnweb.freebsd.org/changeset/ports/317578

Log:
  - Update historical header
  - Trim comment
  - drop abi version for lib-depends
  - adoption of USES=shared-mime-info
  - cleanup reinplace_cmd
  - standardize formatting in pkg-descr by using a space over tab
  
  PR:		178019
  Approved by:	admin@mjbrune.org, maintainer timeout (17 days)

Modified:
  head/editors/textroom/Makefile
  head/editors/textroom/pkg-plist

Modified: head/editors/textroom/Makefile
==============================================================================
--- head/editors/textroom/Makefile	Tue May  7 06:51:54 2013	(r317577)
+++ head/editors/textroom/Makefile	Tue May  7 07:10:52 2013	(r317578)
@@ -1,9 +1,5 @@
-# New ports collection makefile for: textroom
-# Date created:        27 April 2010
-# Whom:                admin@mjbrune.org
-#
+# Created by: admin@mjbrune.org
 # $FreeBSD$
-#
 
 PORTNAME=	textroom
 PORTVERSION=	0.8.2
@@ -12,14 +8,13 @@ CATEGORIES=	editors
 MASTER_SITES=	SF
 
 MAINTAINER=	admin@mjbrune.org
-COMMENT=	A full screen text editor
+COMMENT=	Full screen text editor
 
-BUILD_DEPENDS=	update-mime-database:${PORTSDIR}/misc/shared-mime-info
 LIB_DEPENDS=	hunspell-1.3:${PORTSDIR}/textproc/hunspell \
 		xml++-2.6.2:${PORTSDIR}/textproc/libxml++26 \
 		curl.6:${PORTSDIR}/ftp/curl
-RUN_DEPENDS=	update-mime-database:${PORTSDIR}/misc/shared-mime-info
 
+USES=	shared-mime-info
 USE_SDL=	mixer
 USE_QT4=	moc_build qmake_build rcc_build uic_build corelib gui xml \
 		svg opengl qt3support
@@ -29,17 +24,12 @@ MAKE_JOBS_SAFE=	yes
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|/usr/share|${PREFIX}/share|' \
-		${WRKSRC}/application/src/textroom.cpp
-	@${REINPLACE_CMD} -e 's|/usr/share|${PREFIX}/share|' \
-		${WRKSRC}/application/src/getaword.cpp
-	@${REINPLACE_CMD} -e 's|/usr/share|${PREFIX}/share|' \
+		${WRKSRC}/application/src/textroom.cpp \
+		${WRKSRC}/application/src/getaword.cpp \
 		${WRKSRC}/application/src/optionsdialog.cpp
 
 do-configure:
 	@cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
 	${QMAKE} ${QMAKEFLAGS} ${QMAKE_ARGS} textroom.pro
 
-post-install:
-	@-update-mime-database ${PREFIX}/share/mime
-
 .include <bsd.port.mk>

Modified: head/editors/textroom/pkg-plist
==============================================================================
--- head/editors/textroom/pkg-plist	Tue May  7 06:51:54 2013	(r317577)
+++ head/editors/textroom/pkg-plist	Tue May  7 07:10:52 2013	(r317578)
@@ -12,5 +12,3 @@ share/sounds/keyenter.wav
 @dirrmtry share/hunspell
 @dirrmtry share/applications
 @dirrm share/textroom
-@exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime > /dev/null || /usr/bin/true
-@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime > /dev/null || /usr/bin/true
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Jason Helfman freebsd_committer 2013-05-07 08:11:08 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 Jason Helfman freebsd_committer 2013-05-07 08:11:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

give myself ownership